Whenever you switch environment for a host group - the host group looses its puppet classes.
Description

Whenever you switch environment for a host group - the host group looses its puppet classes. There's no warning and basically

someone needs to memorize all the classes the host group had assigned.

I'd expect a warning message notifying about such a major impact, or memorizing the list of already assigned classes somewhere for

easy retrieval.

Related issues:

Related to Foreman - Bug #12342: Puppet classes disapear when changing enviro... Closed 10/28/2015

Has duplicate Foreman - Bug #12421: Moving a hostgroup between environments l... Duplicate 11/09/2015

Associated revisions

Revision 8b98d8e0 - 09/03/2015 05:07 AM - Ondřej Pražák

Fixes #1477 - Hostgroup no longer looses puppet classes when environment changed during hostgroup editing

History

#1 - 03/14/2012 02:48 PM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.0

#2 - 05/21/2012 08:54 AM - Ohad Levy

- Difficulty set to easy

#3 - 06/21/2012 02:06 AM - Ohad Levy

- Target version deleted (1.0)

#4 - 06/21/2012 02:06 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

#5 - 06/18/2013 10:55 AM - Benjamin Papillon

- Status changed from New to Closed

This bug has been fixed in 1.1 at least and you now have an option to manage mismatches between environments. You can see #2124 for more

informations

#6 - 12/10/2013 01:35 PM - Dominic Cleal

- Description updated

- Status changed from Closed to New

#7 - 12/10/2013 01:35 PM - Dominic Cleal
https://projects.theforeman.org/issues/2124


Re-opening as it sounds like the UI issue may still exist, even though the mismatch problem was fixed.

#8 - 05/06/2014 04:38 PM - Jon McKenzie

Any update on this issue? This problem is pretty devastating to the use of hostgroups for class management.

We're currently using Foreman 1.4.2 on CentOS 6.

#9 - 05/06/2014 06:06 PM - Jon McKenzie

By the way, there seem to be two workarounds for this issue:

Use hammer (or the API) to update the hostgroup, not the UI

If updating via the UI, change the environment in the dropdown (which will remove the classes from the Puppet Classes tab), and then refresh

the page. The environment will remain the same, but if you navigate back to the Puppet Classes tab, the original classes will reappear. Click

Submit.

So this does seem to be isolated to the UI.

#10 - 07/28/2015 12:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2582 added

#11 - 09/03/2015 05:08 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 63

#12 - 09/03/2015 06:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8b98d8e0a1158f56a952cdf3afd45caab363b285.

#13 - 10/29/2015 03:59 AM - Dominic Cleal

- Related to Bug #12342: Puppet classes disapear when changing environment after cloning hostgroup added

#14 - 11/10/2015 04:19 AM - Dominic Cleal

- Has duplicate Bug #12421: Moving a hostgroup between environments loses associated puppet classes added
